import javax.swing.JTextArea;
import uk.ac.ox.cs.fdr.*;

public class FDRStatusListener extends ProgressReporter
{
    private JTextArea destination;

    public FDRStatusListener(JTextArea destination)
    {
        this.destination = destination;
    }

    @Override
    public void taskMessageOutput(long task_id, String message)  {
        destination.append(message + "\n");
    }

    @Override
    public void taskStatusUpdated(long task_id, String message)  {
        destination.append(message + "\n");
    }
};
