import java.util.Vector;

public class LocalVarUsage
{
	public final String var;
	public final String proc;
	public final Vector<Integer> args;
	
	LocalVarUsage(String var, String proc, Vector<Integer> args)
	{ this.var = var; this.proc = proc; this.args = args;}
	
	 public boolean equals(Object obj)
	 {
		if (obj instanceof LocalVarUsage)
		{
			LocalVarUsage lvu = (LocalVarUsage) obj;
			return (var.equals(lvu.var) && proc.equals(lvu.proc) && args.equals(lvu.args));
		}
		else
			return false;
	 
	 }
	 
	 public String toString()
	 {
		String s = var + "-" + proc + "(";
		for (Integer i : args)
			s += i + ",";
			
		if (s.endsWith(",")) 
			s = s.substring(0, s.length() -1);
			
		return s + ")";
	 }

}