import java.util.*;

public interface ProcessContainer extends Genable, Iterable<CompilableProc>
{
	public int numProcs();
	public boolean usesSig(String sig, Map<String, Integer> consts);
	public String process(int i);//returns a string representing the ith process

	public String ownerOfSig(String sig,Map<String,Integer> consts);
	public int indexOfOwnerOfSig(String sig, Map<String,Integer> consts);
// 	public String ownerOfIExpr(int i,Map<String,Integer> consts);//returns a string representing the process containing the ith IExpr
// 
// 	public String ownerOfBExpr(int i,Map<String,Integer> consts);//returns a string representing the process containing the ith BExpr
// 
// 	public int indexOfBExprOwner(int i,Map<String,Integer> consts);
// 	public int indexOfIExprOwner(int i,Map<String,Integer> consts);

	//it should hold that process( indexOfIExprOwner(i,consts)) == ownerOfIExpr(i, consts)
	//and similarly for BExprs

	public Iterator<CompilableProc> iterator();

}